# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['roombapy']

package_data = \
{'': ['*']}

install_requires = \
['paho-mqtt>=1.5.1,<2.0.0']

entry_points = \
{'console_scripts': ['roomba-connect = roombapy.entry_points:connect',
                     'roomba-discovery = roombapy.entry_points:discovery',
                     'roomba-password = roombapy.entry_points:password']}

setup_kwargs = {
    'name': 'roombapy',
    'version': '1.6.2.post1',
    'description': 'Python program and library to control Wi-Fi enabled iRobot Roombas',
    'long_description': 'roombapy\n================\n![Travis (.com)](https://img.shields.io/travis/com/pschmitt/roombapy)\n![PyPI](https://img.shields.io/pypi/v/roombapy)\n![PyPI - Downloads](https://img.shields.io/pypi/dm/roombapy)\n![PyPI - License](https://img.shields.io/pypi/l/roombapy)\n\nUnofficial iRobot Roomba python library (SDK).\n\nFork of [NickWaterton/Roomba980-Python](https://github.com/NickWaterton/Roomba980-Python)\n\nThis library designed to work as [integration](https://www.home-assistant.io/integrations/roomba/) with Home-Assistant.\n\n## Firmware 2.x.x notes\nThis library is only for firmware 2.x.x [Check your robot version!](http://homesupport.irobot.com/app/answers/detail/a_id/529) \n\nSupports Python 3.6, 3.7 (thanks to pschmitt for adding Python 3 compatibility). Only local connections are supported.\n\n## How to get your username/blid and password\n\nTo get password from Roomba type in console:\n```shell script\n$ roomba-password <ip>\n```\nIt will find your Roomba in local network, then follow the instructions in console to get password.\nIf IP address not provided password will be request for auto discovered robot. \n\nAlso you can just ask Roomba for info:\n```shell script\n$ roomba-discovery <ip adress is optional>\n```\n\nTo test connection with iRobot:\n```shell script\n$ roomba-connect <ip> <password>\n```\n\n## Data/Feedback\nmaster_state starts empty, and fills with time, it is published in full every 5 minutes by default (but updates to it are published live)\n\nmaster_state should contain:\n```json\n{\n  "state": {\n    "reported": {\n      "netinfo": {\n        "dhcp": true,\n        "addr": 3232261301,\n        "mask": 4294967040,\n        "gw": 3232261121,\n        "dns1": 3232261121,\n        "dns2": 0,\n        "bssid": "6c:b0:ce:14:2f:cd",\n        "sec": 4\n      },\n      "wifistat": {\n        "wifi": 1,\n        "uap": false,\n        "cloud": 1\n      },\n      "wlcfg": {\n        "sec": 7,\n        "ssid": "7761746572746F6E73"\n      },\n      "mac": "f0:03:8c:13:24:5b",\n      "country": "US",\n      "cloudEnv": "prod",\n      "svcEndpoints": {\n        "svcDeplId": "v011"\n      },\n      "mapUploadAllowed": true,\n      "localtimeoffset": -240,\n      "utctime": 1494331734,\n      "pose": {\n        "theta": -179,\n        "point": {\n          "x": 181,\n          "y": -13\n        }\n      },\n      "batPct": 100,\n      "dock": {\n        "known": false\n      },\n      "bin": {\n        "present": true,\n        "full": false\n      },\n      "audio": {\n        "active": true\n      },\n      "cleanMissionStatus": {\n        "cycle": "none",\n        "phase": "charge",\n        "expireM": 0,\n        "rechrgM": 0,\n        "error": 0,\n        "notReady": 0,\n        "mssnM": 0,\n        "sqft": 0,\n        "initiator": "localApp",\n        "nMssn": 109\n      },\n      "language": 0,\n      "noAutoPasses": false,\n      "noPP": false,\n      "ecoCharge": false,\n      "vacHigh": false,\n      "binPause": true,\n      "carpetBoost": true,\n      "openOnly": false,\n      "twoPass": false,\n      "schedHold": false,\n      "lastCommand": {\n        "command": "dock",\n        "time": 1494260716,\n        "initiator": "localApp"\n      },\n      "langs": [\n        {\n          "en-US": 0\n        },\n        {\n          "fr-FR": 1\n        },\n        {\n          "es-ES": 2\n        },\n        {\n          "de-DE": 3\n        },\n        {\n          "it-IT": 4\n        }\n      ],\n      "bbnav": {\n        "aMtrack": 98,\n        "nGoodLmrks": 5,\n        "aGain": 7,\n        "aExpo": 56\n      },\n      "bbpanic": {\n        "panics": [\n          11,\n          8,\n          6,\n          8,\n          6\n        ]\n      },\n      "bbpause": {\n        "pauses": [\n          0,\n          14,\n          0,\n          0,\n          0,\n          0,\n          17,\n          0,\n          4,\n          0\n        ]\n      },\n      "bbmssn": {\n        "nMssn": 109,\n        "nMssnOk": 30,\n        "nMssnC": 78,\n        "nMssnF": 0,\n        "aMssnM": 14,\n        "aCycleM": 15\n      },\n      "bbrstinfo": {\n        "nNavRst": 3,\n        "nMobRst": 0,\n        "causes": "0000"\n      },\n      "cap": {\n        "pose": 1,\n        "ota": 2,\n        "multiPass": 2,\n        "carpetBoost": 1,\n        "pp": 1,\n        "binFullDetect": 1,\n        "langOta": 1,\n        "maps": 1,\n        "edge": 1,\n        "eco": 1\n      },\n      "sku": "R980020",\n      "batteryType": "lith",\n      "soundVer": "31",\n      "uiSwVer": "4582",\n      "navSwVer": "01.11.02",\n      "wifiSwVer": "20923",\n      "mobilityVer": "5420",\n      "bootloaderVer": "4042",\n      "umiVer": "6",\n      "softwareVer": "v2.2.5-2",\n      "tz": {\n        "events": [\n          {\n            "dt": 0,\n            "off": -300\n          },\n          {\n            "dt": 0,\n            "off": -240\n          },\n          {\n            "dt": 0,\n            "off": -300\n          }\n        ],\n        "ver": 3\n      },\n      "timezone": "America/Toronto",\n      "name": "Roomba",\n      "cleanSchedule": {\n        "cycle": [\n          "none",\n          "start",\n          "start",\n          "start",\n          "start",\n          "start",\n          "none"\n        ],\n        "h": [\n          0,\n          9,\n          9,\n          9,\n          9,\n          9,\n          0\n        ],\n        "m": [\n          0,\n          0,\n          0,\n          0,\n          0,\n          0,\n          0\n        ]\n      },\n      "bbchg3": {\n        "avgMin": 81,\n        "hOnDock": 448,\n        "nAvail": 163,\n        "estCap": 12311,\n        "nLithChrg": 38,\n        "nNimhChrg": 0,\n        "nDocks": 45\n      },\n      "bbchg": {\n        "nChgOk": 34,\n        "nLithF": 0,\n        "aborts": [\n          0,\n          0,\n          0\n        ]\n      },\n      "bbswitch": {\n        "nBumper": 41275,\n        "nClean": 37,\n        "nSpot": 12,\n        "nDock": 45,\n        "nDrops": 187\n      },\n      "bbrun": {\n        "hr": 48,\n        "min": 18,\n        "sqft": 190,\n        "nStuck": 7,\n        "nScrubs": 75,\n        "nPicks": 199,\n        "nPanics": 51,\n        "nCliffsF": 871,\n        "nCliffsR": 348,\n        "nMBStll": 1,\n        "nWStll": 3,\n        "nCBump": 0\n      },\n      "bbsys": {\n        "hr": 518,\n        "min": 11\n      },\n      "signal": {\n        "rssi": -36,\n        "snr": 53\n      }\n    }\n  }\n}\n```\n\n## Commands/Settings\n### Commands\n* Commands are:\n  * "start"\n  * "stop"\n  * "pause"\n  * "resume"\n  * "dock"\n\n### Settings\n* Settings are:\n  * carpetBoost true\n  * vacHigh true\n  * openOnly true   *this is edge clean - set to false to enable edge cleaning*\n  * noAutoPasses true\n  * twoPass true\n  * binPause true\n',
    'author': 'Philipp Schmitt',
    'author_email': 'philipp@schmitt.co',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/pschmitt/roombapy',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.7',
}


setup(**setup_kwargs)
